<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_241) on Thu Mar 05 11:09:25 WAT 2020 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>com.example.bookMicroservice.repositories Class Hierarchy (bookMicroservice 0.0.1-SNAPSHOT API)</title>
<meta name="date" content="2020-03-05">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.example.bookMicroservice.repositories Class Hierarchy (bookMicroservice 0.0.1-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/example/bookMicroservice/models/package-tree.html">Prev</a></li>
<li><a href="../../../../com/example/bookMicroservice/services/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/example/bookMicroservice/repositories/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package com.example.bookMicroservice.repositories</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">QueryByExampleExecutor&lt;T&gt;
<ul>
<li type="circle">JpaRepository&lt;T,ID&gt; (also extends PagingAndSortingRepository&lt;T,ID&gt;)
<ul>
<li type="circle"><a href="../../../../com/example/bookMicroservice/repositories/AuthorRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">AuthorRepository</span></a></li>
<li type="circle"><a href="../../../../com/example/bookMicroservice/repositories/BookRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">BookRepository</span></a></li>
<li type="circle"><a href="../../../../com/example/bookMicroservice/repositories/LibraryRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">LibraryRepository</span></a></li>
<li type="circle"><a href="../../../../com/example/bookMicroservice/repositories/MagazineRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">MagazineRepository</span></a></li>
<li type="circle"><a href="../../../../com/example/bookMicroservice/repositories/NovelRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">NovelRepository</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">Repository&lt;T,ID&gt;
<ul>
<li type="circle">CrudRepository&lt;T,ID&gt;
<ul>
<li type="circle">PagingAndSortingRepository&lt;T,ID&gt;
<ul>
<li type="circle">JpaRepository&lt;T,ID&gt; (also extends QueryByExampleExecutor&lt;T&gt;)
<ul>
<li type="circle"><a href="../../../../com/example/bookMicroservice/repositories/AuthorRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">AuthorRepository</span></a></li>
<li type="circle"><a href="../../../../com/example/bookMicroservice/repositories/BookRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">BookRepository</span></a></li>
<li type="circle"><a href="../../../../com/example/bookMicroservice/repositories/LibraryRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">LibraryRepository</span></a></li>
<li type="circle"><a href="../../../../com/example/bookMicroservice/repositories/MagazineRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">MagazineRepository</span></a></li>
<li type="circle"><a href="../../../../com/example/bookMicroservice/repositories/NovelRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">NovelRepository</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle"><a href="../../../../com/example/bookMicroservice/repositories/StockRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">StockRepository</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/example/bookMicroservice/models/package-tree.html">Prev</a></li>
<li><a href="../../../../com/example/bookMicroservice/services/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/example/bookMicroservice/repositories/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2020. All Rights Reserved.</small></p>
</body>
</html>
